'----------------------------------------------------------------------------
' PURPOSE:  	This macro adds base attributes to entities that are selected.
' Author:   	Mickey Stuewe
' Date:     	9/3/2013
' Version:      1.0
'----------------------------------------------------------------------------

Sub Main

	Dim objModel As Model
	Dim objSelObject As SelectedObject
	Dim objEntity As Entity
	Dim iCounter As Integer

	Begin Dialog UserDialog 440,98,"Continue?" ' %GRID:10,7,1,1
		Text 20,21,250,28,"Are you sure you want to remove a field from the selected tables?",.lblOwner
		OKButton 300,21,120,28
		CancelButton 300,56,120,28
		Text 20,56,80,14,"Field Name:",.Text1
		TextBox 100,56,170,14,.txtFieldName
	End Dialog

	Dim dlg As UserDialog

	If Dialog(dlg) = -1 Then
	
		Set objModel = DiagramManager.ActiveDiagram.ActiveModel
	
		' Iterate through all the selected objects in the current
		' model.
		For Each objSelObject In objModel.ActiveSubModel.SelectedObjects
	
			'Get the object type - we are only concerned
			'with entities.
			If objSelObject.Type = 1 Then

				Set objEntity =  objModel.Entities.Item(objSelObject.ID)
				
				objEntity.Attributes.Remove(dlg.txtFieldName)
	
				iCounter = iCounter + 1
			End If
		Next objSelObject
	
		MsgBox dlg.txtFieldName & " was removed from " & iCounter & " Table(s).", vbOkOnly + vbInformation, "Attributes Removed From Tables"
	End If

End Sub
